> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取终端用户信息

> **适用于**：Chatflow、Workflow、聊天助手、Agent、文本生成应用。

根据 ID 获取终端用户信息。当其他 API 返回终端用户 ID（例如[上传文件](/zh/api-reference/files/upload-file)返回的 `created_by`）时很有用。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json get /end-users/{end_user_id}
openapi: 3.0.1
info:
  title: Dify 服务 API
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话消息
    description: 与聊天消息和交互相关的操作。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
  - name: 工作流运行
    description: 用于执行和管理工作流的操作。
  - name: 文本生成消息
    description: 文本生成相关操作。
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /end-users/{end_user_id}:
    get:
      tags:
        - 终端用户
      summary: 获取终端用户信息
      description: >-
        **适用于**：Chatflow、Workflow、聊天助手、Agent、文本生成应用。


        根据 ID 获取终端用户信息。当其他 API 返回终端用户
        ID（例如[上传文件](/zh/api-reference/files/upload-file)返回的 `created_by`）时很有用。
      operationId: getEndUserChatCn
      parameters:
        - name: end_user_id
          in: path
          required: true
          description: 终端用户 ID。
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: 成功获取终端用户。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserDetail'
              examples:
                endUserDetail:
                  summary: 响应示例
                  value:
                    id: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                    tenant_id: 11223344-5566-7788-99aa-bbccddeeff00
                    app_id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                    type: service_api
                    external_user_id: abc-123
                    name: null
                    is_anonymous: false
                    session_id: abc-123
                    created_at: '2024-01-16T12:00:29Z'
                    updated_at: '2024-01-16T12:00:29Z'
        '404':
          description: '`end_user_not_found` : 未找到终端用户。'
          content:
            application/json:
              examples:
                end_user_not_found:
                  summary: end_user_not_found
                  value:
                    status: 404
                    code: end_user_not_found
                    message: End user not found.
components:
  schemas:
    EndUserDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 终端用户 ID。
        tenant_id:
          type: string
          format: uuid
          description: 租户 ID。
        app_id:
          type: string
          format: uuid
          nullable: true
          description: 应用 ID。
        type:
          type: string
          description: 终端用户类型。Service API 用户固定为 `service_api`。
        external_user_id:
          type: string
          nullable: true
          description: >-
            API 请求中提供的 `user` 标识符（例如
            [发送对话消息](/zh/api-reference/chat-messages/send-chat-message) 中的
            `user` 字段）。
        name:
          type: string
          nullable: true
          description: 终端用户名称。
        is_anonymous:
          type: boolean
          description: 用户是否为匿名用户。当原始 API 请求中未提供 `user` 标识符时，值为 `true`。
        session_id:
          type: string
          description: 会话标识符。默认为 `external_user_id` 的值。
        created_at:
          type: string
          format: date-time
          description: 创建时间戳。
        updated_at:
          type: string
          format: date-time
          description: 最后更新时间戳。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**缺少或无效的 API Key 会返回 HTTP
        `401`，错误码为 `unauthorized`。

````